<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
$numXML=0;
$numPDF=0;
$correcto=false;
$ban=true;
$entro=false;
$arregloPDF = array();
$arregloXML = array();
$arregloSucursal = array();
$arregloHidden = array();
$forzarPDF=true;

if(file_exists("config.ini")){
	$vlineas = file("config.ini"); 
	foreach ($vlineas as $sLinea) {
		if(substr($sLinea,0,9) == "FORZARPDF" && trim($sLinea) == "FORZARPDF=SI"){
			$forzarPDF=true;
		}else{
			$forzarPDF=false;
		}
	}
}else{
	$forzarPDF=true;
}

if(file_exists("config.ini")){
	$vlineas = file("config.ini"); 

	foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,11) == "SUCURSALES="){
				$arrS = explode('|',substr($sLinea,11,strlen($sLinea)));
				break;
			}
	}
}
if(file_exists("config.ini")){
	$vlineas = file("config.ini"); 		 
	foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,12) == "RUTAALMACEN="){
				$arrR = explode('|',substr($sLinea,12,strlen($sLinea)));
				break;
			}
		}
}
if (isset ($_FILES["filePDF"])) {
$tot = count($_FILES["filePDF"]["name"]);
	for ($i = 0; $i < $tot; $i++){
					$_FILES["filePDF"]["tmp_name"][$i] = $_FILES["filePDF"]["tmp_name"][$i];
					$_FILES["filePDF"]["name"][$i] = strtoupper($_FILES["filePDF"]["name"][$i]);
					$tmp_name = $_FILES["filePDF"]["tmp_name"][$i];
					$name = $_FILES["filePDF"]["name"][$i];
					$arregloPDF[$i]["temp"]=$_FILES["filePDF"]["tmp_name"][$i];
					$arregloPDF[$i]["name"]=strtoupper($_FILES["filePDF"]["name"][$i]);
					
					$_FILES["fileXML"]["tmp_name"][$i] = $_FILES["fileXML"]["tmp_name"][$i];
					$_FILES["fileXML"]["name"][$i] = strtoupper($_FILES["fileXML"]["name"][$i]);
					$tmp_name = $_FILES["fileXML"]["tmp_name"][$i];
					$name = $_FILES["fileXML"]["name"][$i];
					$arregloXML[$i]["temp"]=$_FILES["fileXML"]["tmp_name"][$i];
					$arregloXML[$i]["name"]=strtoupper($_FILES["fileXML"]["name"][$i]);
					
					$arregloSucursal[$i] = $_REQUEST["sucursal"][$i];
					$arregloHidden[$i] = $_REQUEST["tbodyId"][$i];
	}
	
	$error=false;
	$exitosos="";
	$archivoSinPDF=false;
	for($i=0;$i < count($arregloPDF);$i++){
		if($arregloSucursal[$i] != ""){
			$rutaAlmacen="";
			$palabra=preg_quote('.PDF');
			$palabra2=preg_quote('.XML');
			if($forzarPDF && $arregloPDF[$i]["name"] == ""){
				?><script>alert('Debe de adjuntar el PDF')</script><?
				return false;
			}else if(eregi($palabra2,$arregloXML[$i]["name"])){
				?>
				<script>if(confirm('żEsta seguro de adjuntar solo el XML?\nSi hace esto se generara un PDF generico\ny ya no podra subir nuevamente el PDF')){alert('test');<?$archivoSinPDF=true;?>}</script>
					<?
					echo $archivoSinPDF;
			}else{
					$error=true;
					$erroneos[]["name"] = $arregloXML[$i]["name"]." Formato de Archivo incorrecto";
					?><script>alert('<?=$arregloXML[$i]["name"]." Formato de Archivo incorrecto"?>')</script><?
			}
		}else{
			?><script>alert('<?=$arregloXML[$i]["name"]." Debe de especificar la sucursal"?>')</script><?
			$erroneos[]["name"] = $arregloPDF[$i]["name"]." Debe de especificar la sucursal";
			$erroneos[]["name"] = $arregloXML[$i]["name"]." Debe de especificar la sucursal";
			$error=true;
		}
	}
if($archivoSinPDF){
	include("subeArchivosMomatt.php");
}
}